# ERROR : 2356 – This plug-in is not installed


If you see errors like this at startup or in the script history:

# ERROR : 2356 - This plug-in is not installed: rcCustomFilterSettings
# ERROR : 2356 - This plug-in is not installed: jhBatchieOptions 
# ERROR : 2356 - This plug-in is not installed: CM_DefaultPrimitives_Preferences
# ERROR : 2356 - This plug-in is not installed: Arnold Render Options

it is because of custom preferences. Notice how all the errors include works like “settings”, “options”, or “preferences”.

These custom preferences use a custom property plugin to define their PPG (property page) layout. You’re getting an error because the custom property plugin isn’t loaded into Softimage.

It could be that the plugin is no longer installed on your system. In this case, you can delete the instance of the custom property from Preferences > Custom in the explorer, and delete the corresponding .preset file from the Data\Preferences folder (of your Softimage User folder, or from a workgroup folder, depending on how the plugin was installed).

The other possiblity is that some other plugin is calling RefreshCustomPreferences before the custom property was loaded. For example, this can happen if a plugin installed in your User location calls RefreshCustomPreferences, and the custom property used by a preference is installed in a workgroup. Softimage loads plugins in the User location first, before workgroup plugins, so this would give you the “plugin is not installed error”.

One thought on “# ERROR : 2356 – This plug-in is not installed

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s